# vim: sw=4:ts=4:et
#
# Copyright (c) 2016 Red Hat, Inc.

# This program and entire repository is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
#

%global update_from 6.2
%global update_to 6.3

Name:           satellite-%{update_to}-tools-upgrade
Version:        %{update_to}.0
Release:        1%{?dist}
Summary:        Utility to change the Satellite Tools yum repository to Satellite %{update_to}
Group:          System Environment/Base
License:        LGPLv2
URL:            https://github.com/RedHatSatellite
BuildArch:      noarch

%description
This package utilizes a post installation routine to disable the Satellite %{update_from} Tools
repositories and enables the Satellite %{update_to} Tools repositories via the use of the
subscription-manager repos command. The un-installation of this RPM has no effect.

%files

%post
# Disable the %{update_from} satellite-tools repo and enable %{update_to}
subscription-manager repos --disable rhel-*-server-satellite-tools-%{update_from}-rpms  >/dev/null 2>&1
subscription-manager repos --enable rhel-*-server-satellite-tools-%{update_to}-rpms  >/dev/null 2>&1
exit 0

%changelog
* Tue Feb 27 2018 Evgeni Golov 6.3.0-1
- new package built with tito

